import tensorflow as tf

from misc_util.tf_util import get_random_tf_bool, randomly_negate_tensor


def test_getRandomTFBool():
    tf.random.set_seed(1)
    tf.assert_equal(get_random_tf_bool(), False)
    tf.random.set_seed(10)
    tf.assert_equal(get_random_tf_bool(), True)
    return


def test_seeds():
    tf.random.set_seed(1)
    tf.assert_equal(randomly_negate_tensor(-1), -1)
    tf.random.set_seed(10)
    tf.assert_equal(randomly_negate_tensor(-1), 1)
    return
