from dataset.augmented_binarization_sequence import AugmentedBinarizationGenerator

from train.trainer import Trainer


# For one Training process
class BinarizationTrainer(Trainer):
    def __init__(self, input_params, train_params):
        super().__init__(input_params, train_params)
        assert (self.model_config.get("keypoint_count") == 1)
        pass

    def _create_sequence(self, x_in, y_out, augmentation=False):
        sequence = AugmentedBinarizationGenerator(
            x_in,
            y_out,
            self.model_config
        )
        return sequence
