import os

from skimage.io import imsave

from imgproc.heatmap_image_binarizer import HeatmapImageBinarizer
from prototype.camera_streamer import DummyCameraStreamer

if __name__ == '__main__':
    # image_stream = DummyCameraStreamer("L:\\video_analysis\\6_0\\frames\\", counter=0)
    image_stream = DummyCameraStreamer("L:\\video_analysis\\static\\patch_frames\\")
    bin_stream = DummyCameraStreamer("L:\\video_analysis\\static\\patch_bin\\", counter=0)

    current_image = image_stream.get()
    current_bin = bin_stream.get()
    counter = 0
    while current_image is not None and counter < 450:
        # current_image = resize_image_array_pil(current_image, (1920, 1080))
        binary_image = HeatmapImageBinarizer(current_bin, current_image, 10).run()
        filename = os.path.join("L:\\video_analysis\\static\\patch_binz\\",
                                bin_stream.get_current_image_name() + "binz.jpg")
        # frame_filename = os.path.join("L:\\video_analysis\\static\\frames\\", bin_stream.get_current_image_name() + "frame.jpg")
        imsave(filename, binary_image, quality=100)
        # imsave(frame_filename, current_image, quality=100)
        current_image = image_stream.get()
        current_bin = bin_stream.get()
        counter += 1
