import matplotlib
from skimage.io import imread

matplotlib.use('TkAgg')
import matplotlib.pyplot as plt
import os

# dir = "L:\\large_dataset_study\\nice_test_frames_for_paper\\roinet"
# dir = "L:\\large_dataset_study\\nice_test_frames_for_paper\\roinet"
dir = "L:\\large_dataset_study\\nice_test_frames_for_paper\\tmp_out\\store"

files = os.listdir(dir)

for file in files:
    img = imread(os.path.join(dir, file))
    plt.imshow(img, cmap='viridis')
    newname = "viridis_" + file
    path = os.path.join(dir, newname)
    plt.savefig(path, bbox_inches='tight')
