# https://keras.io/visualization/ as base
import matplotlib.pyplot as plt

from dataset.dataset_utils import read_json

history_path = "L:/large_dataset_study/training/training_1_resized/history_depth_to_space_resnet_20_52_04-01_09_19.json"

history_json = read_json(history_path)

# Plot training & validation loss values
plt.plot(history_json['mean_squared_error'])
plt.plot(history_json['val_mean_squared_error'])
plt.title('Model Error')
plt.ylabel('MSE')
plt.xlabel('Epoch')
plt.ylim((0.0, 0.005))
plt.legend(['Train MSE', 'Test MSE'], loc='upper left')
plt.show()
