import matplotlib

matplotlib.use('TkAgg')
import matplotlib.pyplot as plt
from dataset.heatmap import Heatmap

fig, axes = plt.subplots(ncols=1, nrows=4)
hm = Heatmap([[100, 100], [300, 200]], 224, 224, 0.45).get()
axes[0].imshow(hm[:, :, 0])

hm2 = Heatmap([[100, 100], [300, 200]], 224, 224, 0.35).get()
axes[1].imshow(hm2[:, :, 0])

# resized_hm = resize_image_array_pil(hm[:, :, 0], (1920, 1080))
# axes[2].imshow(resized_hm)

# resized_hm = resize_image_array_pil(hm2[:, :, 0], (1920, 1080))
# axes[3].imshow(resized_hm)
plt.show()
