from dataset.augmented_patch_sequence import AugmentedPatchKeypointDataGenerator
from train.trainer import Trainer


# For one Training process
class PatchTrainer(Trainer):
    def __init__(self, input_params, train_params):
        super().__init__(input_params, train_params)
        pass

    # def _create_callbacks(self):
    #     callbacks = super()._create_callbacks()
    #     lr_reducer = ReduceLROnPlateau(factor=np.sqrt(0.1),
    #                                    cooldown=0,
    #                                    patience=5,
    #                                    min_lr=0.5e-6)
    #     callbacks.append(lr_reducer)
    #     return callbacks

    def _create_sequence(self, x_in, y_out, augmentation=False):
        sequence = AugmentedPatchKeypointDataGenerator(x_in,
                                                       y_out,
                                                       self.model_config)
        return sequence
