from imgproc.imgproc_utils import resize_image_array_pil
from prototype.camera_streamer import DummyCameraStreamer

if __name__ == '__main__':
    camera_stream = DummyCameraStreamer("L:\\video_analysis\\6_0\\frames\\")
    heatmap_stream = DummyCameraStreamer("L:\\video_analysis\\6_0\\keypoints\\")
    bin_stream = DummyCameraStreamer("L:\\video_analysis\\6_0\\bin\\")
    patch_stream = DummyCameraStreamer("L:\\video_analysis\\6_0\\tip_patches\\")
    tiplet_stream = DummyCameraStreamer("L:\\video_analysis\\6_0\\tip_inferences\\")

    target_width = 1920
    target_height = 1080

    for i in range(0, 1205):
        image = camera_stream.get()
        heatmap = heatmap_stream.get()
        bin = bin_stream.get()
        patch = patch_stream.get()
        tip_heatmap = tiplet_stream.get()

    resized_image = resize_image_array_pil(image, (1080, 1920))
